Changeset 1650


Ignore:
Timestamp:
Jul 22, 2010 9:10:34 AM (9 years ago)
Author:
stefan
Message:

remove addlibs file in uninstall

Location:
ThirdParty/FilterSQP/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/Makefile.am

    r1567 r1650  
    2626libfiltersqp_la_LDFLAGS = $(LT_LDFLAGS)
    2727
    28 if COIN_HAS_PKGCONFIG
    29 addlibsdir = $(datadir)/coin/doc/ThirdParty/FilterSQP
    30 addlibs_DATA = filtersqp_addlibs.txt
    31 
    32 filtersqp_addlibs.txt : coinfiltersqp.pc
    33         PKG_CONFIG_PATH=.:@COIN_PKG_CONFIG_PATH@ --libs coinfiltersqp > filtersqp_addlibs.txt
    34 endif
    35 
    3628pkgconfiglibdir = $(libdir)/pkgconfig
    3729pkgconfiglib_DATA = coinfiltersqp.pc
     30
     31if COIN_HAS_PKGCONFIG
     32addlibsdir = $(DESTDIR)$(datadir)/coin/doc/ThirdParty/FilterSQP
     33       
     34install-data-hook:
     35        @$(mkdir_p) "$(addlibsdir)"
     36        PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ \
     37        $(PKG_CONFIG) --libs coinfiltersqp > $(addlibsdir)/filtersqp_addlibs.txt
     38
     39uninstall-hook:
     40        rm -f $(addlibsdir)/filtersqp_addlibs.txt
     41endif
    3842
    3943########################################################################
     
    4145########################################################################
    4246
    43 CLEANFILES = filtersqp_addlibs.txt
     47CLEANFILES =
    4448
    4549# Files that are generated and should be cleaned with make distclean
  • ThirdParty/FilterSQP/trunk/Makefile.in

    r1584 r1650  
    7676am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
    7777am__installdirs = "$(DESTDIR)$(thirdpartylibdir)" \
    78         "$(DESTDIR)$(addlibsdir)" "$(DESTDIR)$(pkgconfiglibdir)"
     78        "$(DESTDIR)$(pkgconfiglibdir)"
    7979thirdpartylibLTLIBRARIES_INSTALL = $(INSTALL)
    8080LTLIBRARIES = $(thirdpartylib_LTLIBRARIES)
     
    9292SOURCES = $(libfiltersqp_la_SOURCES)
    9393DIST_SOURCES = $(libfiltersqp_la_SOURCES)
    94 addlibsDATA_INSTALL = $(INSTALL_DATA)
    9594pkgconfiglibDATA_INSTALL = $(INSTALL_DATA)
    96 DATA = $(addlibs_DATA) $(pkgconfiglib_DATA)
     95DATA = $(pkgconfiglib_DATA)
    9796ETAGS = etags
    9897CTAGS = ctags
     
    132131COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
    133132COIN_PKG_CONFIG_PATH = @COIN_PKG_CONFIG_PATH@
     133COIN_PKG_CONFIG_PATH_UNINSTALLED = @COIN_PKG_CONFIG_PATH_UNINSTALLED@
    134134CPP = @CPP@
    135135CPPFLAGS = @CPPFLAGS@
     
    185185PACKAGE_VERSION = @PACKAGE_VERSION@
    186186PATH_SEPARATOR = @PATH_SEPARATOR@
     187PCADDLIBS = @PCADDLIBS@
    187188PKG_CONFIG = @PKG_CONFIG@
    188189RANLIB = @RANLIB@
     
    265266
    266267libfiltersqp_la_LDFLAGS = $(LT_LDFLAGS)
    267 @COIN_HAS_PKGCONFIG_TRUE@addlibsdir = $(datadir)/coin/doc/ThirdParty/FilterSQP
    268 @COIN_HAS_PKGCONFIG_TRUE@addlibs_DATA = filtersqp_addlibs.txt
    269268pkgconfiglibdir = $(libdir)/pkgconfig
    270269pkgconfiglib_DATA = coinfiltersqp.pc
     270@COIN_HAS_PKGCONFIG_TRUE@addlibsdir = $(DESTDIR)$(datadir)/coin/doc/ThirdParty/FilterSQP
    271271
    272272########################################################################
    273273#                         Maintainer Stuff                             #
    274274########################################################################
    275 CLEANFILES = filtersqp_addlibs.txt
     275CLEANFILES =
    276276
    277277# Files that are generated and should be cleaned with make distclean
     
    404404        -rm -f libtool
    405405uninstall-info-am:
    406 install-addlibsDATA: $(addlibs_DATA)
    407         @$(NORMAL_INSTALL)
    408         test -z "$(addlibsdir)" || $(mkdir_p) "$(DESTDIR)$(addlibsdir)"
    409         @list='$(addlibs_DATA)'; for p in $$list; do \
    410           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    411           f=$(am__strip_dir) \
    412           echo " $(addlibsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(addlibsdir)/$$f'"; \
    413           $(addlibsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(addlibsdir)/$$f"; \
    414         done
    415 
    416 uninstall-addlibsDATA:
    417         @$(NORMAL_UNINSTALL)
    418         @list='$(addlibs_DATA)'; for p in $$list; do \
    419           f=$(am__strip_dir) \
    420           echo " rm -f '$(DESTDIR)$(addlibsdir)/$$f'"; \
    421           rm -f "$(DESTDIR)$(addlibsdir)/$$f"; \
    422         done
    423406install-pkgconfiglibDATA: $(pkgconfiglib_DATA)
    424407        @$(NORMAL_INSTALL)
     
    618601all-am: Makefile $(LTLIBRARIES) $(DATA)
    619602installdirs:
    620         for dir in "$(DESTDIR)$(thirdpartylibdir)" "$(DESTDIR)$(addlibsdir)" "$(DESTDIR)$(pkgconfiglibdir)"; do \
     603        for dir in "$(DESTDIR)$(thirdpartylibdir)" "$(DESTDIR)$(pkgconfiglibdir)"; do \
    621604          test -z "$$dir" || $(mkdir_p) "$$dir"; \
    622605        done
     
    647630        @echo "This command is intended for maintainers to use"
    648631        @echo "it deletes files that may require special tools to rebuild."
     632@COIN_HAS_PKGCONFIG_FALSE@install-data-hook:
     633@COIN_HAS_PKGCONFIG_FALSE@uninstall-hook:
    649634clean: clean-am
    650635
     
    668653info-am:
    669654
    670 install-data-am: install-addlibsDATA install-pkgconfiglibDATA \
     655install-data-am: install-pkgconfiglibDATA \
    671656        install-thirdpartylibLTLIBRARIES
     657        @$(NORMAL_INSTALL)
     658        $(MAKE) $(AM_MAKEFLAGS) install-data-hook
    672659
    673660install-exec-am:
     
    698685ps-am:
    699686
    700 uninstall-am: uninstall-addlibsDATA uninstall-info-am \
    701         uninstall-pkgconfiglibDATA uninstall-thirdpartylibLTLIBRARIES
     687uninstall-am: uninstall-info-am uninstall-pkgconfiglibDATA \
     688        uninstall-thirdpartylibLTLIBRARIES
     689        @$(NORMAL_INSTALL)
     690        $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
    702691
    703692.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
     
    707696        distclean-generic distclean-libtool distclean-tags \
    708697        distcleancheck distdir distuninstallcheck dvi dvi-am html \
    709         html-am info info-am install install-addlibsDATA install-am \
    710         install-data install-data-am install-exec install-exec-am \
     698        html-am info info-am install install-am install-data \
     699        install-data-am install-data-hook install-exec install-exec-am \
    711700        install-info install-info-am install-man \
    712701        install-pkgconfiglibDATA install-strip \
     
    715704        mostlyclean mostlyclean-compile mostlyclean-generic \
    716705        mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
    717         uninstall-addlibsDATA uninstall-am uninstall-info-am \
     706        uninstall-am uninstall-hook uninstall-info-am \
    718707        uninstall-pkgconfiglibDATA uninstall-thirdpartylibLTLIBRARIES
    719708
    720709
    721 @COIN_HAS_PKGCONFIG_TRUE@filtersqp_addlibs.txt : coinfiltersqp.pc
    722 @COIN_HAS_PKGCONFIG_TRUE@       PKG_CONFIG_PATH=.:@COIN_PKG_CONFIG_PATH@ --libs coinfiltersqp > filtersqp_addlibs.txt
     710@COIN_HAS_PKGCONFIG_TRUE@install-data-hook:
     711@COIN_HAS_PKGCONFIG_TRUE@       @$(mkdir_p) "$(addlibsdir)"
     712@COIN_HAS_PKGCONFIG_TRUE@       PKG_CONFIG_PATH=@COIN_PKG_CONFIG_PATH@ \
     713@COIN_HAS_PKGCONFIG_TRUE@       $(PKG_CONFIG) --libs coinfiltersqp > $(addlibsdir)/filtersqp_addlibs.txt
     714
     715@COIN_HAS_PKGCONFIG_TRUE@uninstall-hook:
     716@COIN_HAS_PKGCONFIG_TRUE@       rm -f $(addlibsdir)/filtersqp_addlibs.txt
    723717
    724718install-doc: $(DocFiles)
  • ThirdParty/FilterSQP/trunk/configure

    r1613 r1650  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    16081608
    16091609
     1610# Initialize the PCADDLIBS variable.
     1611# This variable is used to setup library flags for the "Libs:" section in a .pc file.
     1612# In certain cases, it may contain more flags than the ADDLIBS variable.
     1613PCADDLIBS=""
     1614
     1615
    16101616# As backup, we make sure we don't loose an FLIBS if it has been set
    16111617# by the user
     
    33573363
    33583364# Provide some information about the compiler.
    3359 echo "$as_me:3359:" \
     3365echo "$as_me:3365:" \
    33603366     "checking for Fortran 77 compiler version" >&5
    33613367ac_compiler=`set X $ac_compile; echo $2`
     
    39253931ac_save_FFLAGS=$FFLAGS
    39263932FFLAGS="$FFLAGS $ac_verb"
    3927 (eval echo $as_me:3927: \"$ac_link\") >&5
     3933(eval echo $as_me:3933: \"$ac_link\") >&5
    39283934ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39293935echo "$ac_f77_v_output" >&5
     
    40034009ac_save_FFLAGS=$FFLAGS
    40044010FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4005 (eval echo $as_me:4005: \"$ac_link\") >&5
     4011(eval echo $as_me:4011: \"$ac_link\") >&5
    40064012ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40074013echo "$ac_f77_v_output" >&5
     
    48934899
    48944900
    4895 # assemble search path for pkg-config, if we are in a project setup
    4896 if test x$coin_projectdir = xyes ; then
    4897   COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
    4898 
    4899   # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
    4900   # best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
    4901   # unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    4902   if test -d "${prefix}"; then
    4903     COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    4904   fi
     4901# assemble pkg-config search path for installed projects
     4902COIN_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     4903
     4904# let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     4905# best would actually to use ${libdir}, since .pc files get installed into ${libdir}/pkgconfig,
     4906# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
     4907if test -d "${prefix}"; then
     4908  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4909fi
    49054910
    49064911
     
    49094914  withval="$with_coin_instdir"
    49104915  if test -d "$withval"; then : ; else
    4911        { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     4916     { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    49124917echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    49134918   { (exit 1); exit 1; }; }
    4914      fi
    4915      COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4919   fi
     4920   COIN_PKG_CONFIG_PATH="$withval/lib/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    49164921
    49174922fi;
    49184923
    4919   # in a classic setup, we want to find uninstalled projects
     4924
     4925
     4926# assemble additional pkg-config search paths for uninstalled projects
     4927if test x$coin_projectdir = xyes ; then
     4928  # if we are in a project setup, then in a classic setup, we want to find uninstalled projects
    49204929  # their (relative) location is written to coin_subdirs.txt by the configure in the project base directory
    49214930  # unfortunately, if the user set prefix, then we do not know where the project base directory is located
    49224931  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
     4932  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    49234933  if test -e ../coin_subdirs.txt ; then
    49244934    for i in `cat ../coin_subdirs.txt` ; do
    49254935      if test -d ../$i ; then
    4926         COIN_PKG_CONFIG_PATH="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     4936        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
    49274937      fi
    49284938    done
     
    49324942    for i in `cat ../../coin_subdirs.txt` ; do
    49334943      if test -d ../../$i ; then
    4934         COIN_PKG_CONFIG_PATH="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH}"
     4944        COIN_PKG_CONFIG_PATH_UNINSTALLED="`cd ../../$i; pwd`:${COIN_PKG_CONFIG_PATH_UNINSTALLED}"
    49354945      fi
    49364946    done
     
    72307240*-*-irix6*)
    72317241  # Find out which ABI we are using.
    7232   echo '#line 7232 "configure"' > conftest.$ac_ext
     7242  echo '#line 7242 "configure"' > conftest.$ac_ext
    72337243  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    72347244  (eval $ac_compile) 2>&5
     
    98169826   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98179827   -e 's:$: $lt_compiler_flag:'`
    9818    (eval echo "\"\$as_me:9818: $lt_compile\"" >&5)
     9828   (eval echo "\"\$as_me:9828: $lt_compile\"" >&5)
    98199829   (eval "$lt_compile" 2>conftest.err)
    98209830   ac_status=$?
    98219831   cat conftest.err >&5
    9822    echo "$as_me:9822: \$? = $ac_status" >&5
     9832   echo "$as_me:9832: \$? = $ac_status" >&5
    98239833   if (exit $ac_status) && test -s "$ac_outfile"; then
    98249834     # The compiler can only warn and ignore the option if not recognized
     
    1008410094   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1008510095   -e 's:$: $lt_compiler_flag:'`
    10086    (eval echo "\"\$as_me:10086: $lt_compile\"" >&5)
     10096   (eval echo "\"\$as_me:10096: $lt_compile\"" >&5)
    1008710097   (eval "$lt_compile" 2>conftest.err)
    1008810098   ac_status=$?
    1008910099   cat conftest.err >&5
    10090    echo "$as_me:10090: \$? = $ac_status" >&5
     10100   echo "$as_me:10100: \$? = $ac_status" >&5
    1009110101   if (exit $ac_status) && test -s "$ac_outfile"; then
    1009210102     # The compiler can only warn and ignore the option if not recognized
     
    1018810198   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1018910199   -e 's:$: $lt_compiler_flag:'`
    10190    (eval echo "\"\$as_me:10190: $lt_compile\"" >&5)
     10200   (eval echo "\"\$as_me:10200: $lt_compile\"" >&5)
    1019110201   (eval "$lt_compile" 2>out/conftest.err)
    1019210202   ac_status=$?
    1019310203   cat out/conftest.err >&5
    10194    echo "$as_me:10194: \$? = $ac_status" >&5
     10204   echo "$as_me:10204: \$? = $ac_status" >&5
    1019510205   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1019610206   then
     
    1260512615  lt_status=$lt_dlunknown
    1260612616  cat > conftest.$ac_ext <<EOF
    12607 #line 12607 "configure"
     12617#line 12617 "configure"
    1260812618#include "confdefs.h"
    1260912619
     
    1270512715  lt_status=$lt_dlunknown
    1270612716  cat > conftest.$ac_ext <<EOF
    12707 #line 12707 "configure"
     12717#line 12717 "configure"
    1270812718#include "confdefs.h"
    1270912719
     
    1506515075   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1506615076   -e 's:$: $lt_compiler_flag:'`
    15067    (eval echo "\"\$as_me:15067: $lt_compile\"" >&5)
     15077   (eval echo "\"\$as_me:15077: $lt_compile\"" >&5)
    1506815078   (eval "$lt_compile" 2>conftest.err)
    1506915079   ac_status=$?
    1507015080   cat conftest.err >&5
    15071    echo "$as_me:15071: \$? = $ac_status" >&5
     15081   echo "$as_me:15081: \$? = $ac_status" >&5
    1507215082   if (exit $ac_status) && test -s "$ac_outfile"; then
    1507315083     # The compiler can only warn and ignore the option if not recognized
     
    1516915179   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1517015180   -e 's:$: $lt_compiler_flag:'`
    15171    (eval echo "\"\$as_me:15171: $lt_compile\"" >&5)
     15181   (eval echo "\"\$as_me:15181: $lt_compile\"" >&5)
    1517215182   (eval "$lt_compile" 2>out/conftest.err)
    1517315183   ac_status=$?
    1517415184   cat out/conftest.err >&5
    15175    echo "$as_me:15175: \$? = $ac_status" >&5
     15185   echo "$as_me:15185: \$? = $ac_status" >&5
    1517615186   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1517715187   then
     
    1673916749   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1674016750   -e 's:$: $lt_compiler_flag:'`
    16741    (eval echo "\"\$as_me:16741: $lt_compile\"" >&5)
     16751   (eval echo "\"\$as_me:16751: $lt_compile\"" >&5)
    1674216752   (eval "$lt_compile" 2>conftest.err)
    1674316753   ac_status=$?
    1674416754   cat conftest.err >&5
    16745    echo "$as_me:16745: \$? = $ac_status" >&5
     16755   echo "$as_me:16755: \$? = $ac_status" >&5
    1674616756   if (exit $ac_status) && test -s "$ac_outfile"; then
    1674716757     # The compiler can only warn and ignore the option if not recognized
     
    1684316853   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1684416854   -e 's:$: $lt_compiler_flag:'`
    16845    (eval echo "\"\$as_me:16845: $lt_compile\"" >&5)
     16855   (eval echo "\"\$as_me:16855: $lt_compile\"" >&5)
    1684616856   (eval "$lt_compile" 2>out/conftest.err)
    1684716857   ac_status=$?
    1684816858   cat out/conftest.err >&5
    16849    echo "$as_me:16849: \$? = $ac_status" >&5
     16859   echo "$as_me:16859: \$? = $ac_status" >&5
    1685016860   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1685116861   then
     
    1905019060   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1905119061   -e 's:$: $lt_compiler_flag:'`
    19052    (eval echo "\"\$as_me:19052: $lt_compile\"" >&5)
     19062   (eval echo "\"\$as_me:19062: $lt_compile\"" >&5)
    1905319063   (eval "$lt_compile" 2>conftest.err)
    1905419064   ac_status=$?
    1905519065   cat conftest.err >&5
    19056    echo "$as_me:19056: \$? = $ac_status" >&5
     19066   echo "$as_me:19066: \$? = $ac_status" >&5
    1905719067   if (exit $ac_status) && test -s "$ac_outfile"; then
    1905819068     # The compiler can only warn and ignore the option if not recognized
     
    1931819328   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1931919329   -e 's:$: $lt_compiler_flag:'`
    19320    (eval echo "\"\$as_me:19320: $lt_compile\"" >&5)
     19330   (eval echo "\"\$as_me:19330: $lt_compile\"" >&5)
    1932119331   (eval "$lt_compile" 2>conftest.err)
    1932219332   ac_status=$?
    1932319333   cat conftest.err >&5
    19324    echo "$as_me:19324: \$? = $ac_status" >&5
     19334   echo "$as_me:19334: \$? = $ac_status" >&5
    1932519335   if (exit $ac_status) && test -s "$ac_outfile"; then
    1932619336     # The compiler can only warn and ignore the option if not recognized
     
    1942219432   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1942319433   -e 's:$: $lt_compiler_flag:'`
    19424    (eval echo "\"\$as_me:19424: $lt_compile\"" >&5)
     19434   (eval echo "\"\$as_me:19434: $lt_compile\"" >&5)
    1942519435   (eval "$lt_compile" 2>out/conftest.err)
    1942619436   ac_status=$?
    1942719437   cat out/conftest.err >&5
    19428    echo "$as_me:19428: \$? = $ac_status" >&5
     19438   echo "$as_me:19438: \$? = $ac_status" >&5
    1942919439   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1943019440   then
     
    2236822378    ADDLIBS="$ADDLIBS $FLIBS"
    2236922379  fi
     22380  PCADDLIBS="$PCADDLIBS $ADDLIBS"
    2237022381
    2237122382  # library extension
     
    2313723148s,@LIBS@,$LIBS,;t t
    2313823149s,@ADDLIBS@,$ADDLIBS,;t t
     23150s,@PCADDLIBS@,$PCADDLIBS,;t t
    2313923151s,@FADDLIBS@,$FADDLIBS,;t t
    2314023152s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
     
    2317223184s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
    2317323185s,@COIN_PKG_CONFIG_PATH@,$COIN_PKG_CONFIG_PATH,;t t
     23186s,@COIN_PKG_CONFIG_PATH_UNINSTALLED@,$COIN_PKG_CONFIG_PATH_UNINSTALLED,;t t
    2317423187s,@EGREP@,$EGREP,;t t
    2317523188s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
Note: See TracChangeset for help on using the changeset viewer.